aboutsummaryrefslogtreecommitdiffstats
path: root/system_cmds/zic.tproj/generate_zone_file_list.sh
diff options
context:
space:
mode:
Diffstat (limited to 'system_cmds/zic.tproj/generate_zone_file_list.sh')
-rwxr-xr-xsystem_cmds/zic.tproj/generate_zone_file_list.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/system_cmds/zic.tproj/generate_zone_file_list.sh b/system_cmds/zic.tproj/generate_zone_file_list.sh
new file mode 100755
index 0000000..c28c4da
--- /dev/null
+++ b/system_cmds/zic.tproj/generate_zone_file_list.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+set -e
+set -x
+
+# we need to know where the data files are...
+if [ $# -ne 1 ]; then
+ echo "Usage: $0 DATA_FILES_DIR" 1>&2
+ exit 1
+fi
+
+DATFILES="$1"
+ZONE_FILES="$(egrep --files-with-match '^(Zone|Rule|Link)' "${DATFILES}"/* | awk -F "/" '{print $NF}')"
+
+for tz in ${ZONE_FILES}; do
+ if [ ${tz} = "backward" ]; then
+ DO_BACKWARD=1
+ continue
+ elif [ ${tz} = "backzone" ]; then
+ continue
+ else
+ echo "${tz}"
+ fi
+done
+
+if [ -n "$DO_BACKWARD" ]; then
+ echo "backward"
+fi
+